aboutsummaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/tests/optimization-test.sh
diff options
context:
space:
mode:
authorEmil Velikov <[email protected]>2017-02-23 14:17:09 +0000
committerEmil Velikov <[email protected]>2017-03-28 15:31:23 +0100
commita7d9f0a361c4fd5d7e223cac61eca180c309cdc1 (patch)
tree7a1a48b3a87b036d11f44a36e9b9f5ec5c07e9ab /src/compiler/glsl/tests/optimization-test.sh
parent9083c625f56439631b49e77a948c5a99889c0ea4 (diff)
glsl/tests/optimisation-test: ensure that compare_ir is available
Bail out early if the script is not where we expect it to be. v2: use -f instead of -e. latter returns true on folder(s) Signed-off-by: Emil Velikov <[email protected]> Acked-by: Kenneth Graunke <[email protected]> Reviewed-by: Eric Engestrom <[email protected]>
Diffstat (limited to 'src/compiler/glsl/tests/optimization-test.sh')
-rwxr-xr-xsrc/compiler/glsl/tests/optimization-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/optimization-test.sh b/src/compiler/glsl/tests/optimization-test.sh
index 5ae5684f7c4..47970c6be29 100755
--- a/src/compiler/glsl/tests/optimization-test.sh
+++ b/src/compiler/glsl/tests/optimization-test.sh
@@ -36,6 +36,11 @@ for dir in tests/*/; do
echo "$dir"
done
+if [ ! -f "$compare_ir" ]; then
+ echo "Could not find compare_ir. Make sure that srcdir variable is correctly set."
+ exit 1
+fi
+
echo "====== Testing optimization passes ======"
for test in `find . -iname '*.opt_test'`; do
echo -n "Testing $test..."